unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, Classes,
  Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, IPPeerClient,
  IPPeerServer, System.Tether.Manager, System.Tether.AppProfile, Tethering,
  Vcl.WinXCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    ToggleSwitch1: TToggleSwitch;
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;

    procedure FormShow(Sender: TObject);
    procedure ToggleSwitch1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
    TethSpr: TTetheringSpravce;
    SL: TStringList;

    procedure ResourceReceived(const Sender: TObject;
      const AResource: TRemoteResource);
  public
     procedure SpravceChange(Sender: TObject);
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  TethSpr.NajdiZarizeni; // defaultne trva 5 vtein
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  TethSpr.Pripoj('Mobil');
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  TethSpr.PosliText('Asi tohle', 'Ahoj vesmre', 'Mobil');
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  SL := TStringList.Create;
  TethSpr := TTetheringSpravce.VytvorSpravce('PC', 'tpro', SL);
  TethSpr.MyTetheringAppProfile.OnResourceReceived := ResourceReceived;
  TethSpr.OnChange := SpravceChange;
end;

procedure TForm1.ResourceReceived(const Sender: TObject;
  const AResource: TRemoteResource);
var
  fs: TFileStream;
  ms: TMemoryStream;
begin
  if AResource.ResType = TRemoteResourceType.Data then // text
  begin
    ListBox1.Items.Add(AResource.Hint + ' ; ' + AResource.Value.AsString);
  end;

  if AResource.ResType = TRemoteResourceType.Stream then // soubor
  begin
    fs := TFileStream.Create('D:\' + AResource.Hint, fmCreate);
    try
      ms := TMemoryStream.Create;
      ms := TMemoryStream(AResource.Value.AsStream);
      ms.Position := 0;
      ms.SaveToStream(fs);
    finally
      freeandnil(fs);
    end;
  end;

end;

procedure TForm1.SpravceChange(Sender: TObject);
begin
   ListBox1.Clear;
   Listbox1.Items.Assign(SL);
end;

procedure TForm1.ToggleSwitch1Click(Sender: TObject);
begin
   TethSpr.BT := ToggleSwitch1.State = tssOn;
end;

end.
